PFSense with Vulnerability Scanner / Openvas



  • Hi, we are looking to have a vulnerability scanner ( for example OpenVAS). I noticed it doesn't have OpenVAS in the PFsense repo.
    How do I install from the BSD package? Any feedback or suggestion would be appreciated.



  • How do I install from the BSD package?

    You don't.  Netgate strongly advises to not install random stuff on pfSense as you may break existing functionality or your random stuff might get borked during a pfSense upgrade.

    Just run OpenVAS in a VM.


  • Rebel Alliance Developer Netgate

    That is definitely not something you want running on the firewall.

    Setup another system. Install Kali in a VM and you can use it very easily. But don't try to make that run on the firewall.